メインコンテンツへスキップ
GET
/
automation
/
v4
/
flows
/
{flowId}
ワークフローを取得
curl --request GET \
  --url https://api.hubapi.com/automation/v4/flows/{flowId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/automation/v4/flows/{flowId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/automation/v4/flows/{flowId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "actions": [
    {
      "actionId": "<string>",
      "inputValue": {
        "actionId": "<string>",
        "dataKey": "<string>",
        "type": "FIELD_DATA"
      },
      "staticBranches": [
        {
          "branchValue": "<string>",
          "connection": {
            "nextActionId": "<string>"
          }
        }
      ],
      "type": "STATIC_BRANCH",
      "defaultBranch": {
        "nextActionId": "<string>"
      },
      "defaultBranchName": "<string>"
    }
  ],
  "blockedDates": [
    {
      "dayOfMonth": 123,
      "year": 123
    }
  ],
  "canEnrollFromSalesforce": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "customProperties": {},
  "dataSources": [
    {
      "associationTypeId": 123,
      "name": "<string>",
      "objectTypeId": "<string>",
      "type": "ASSOCIATION",
      "sortBy": {
        "property": "<string>",
        "missing": "<string>"
      }
    }
  ],
  "id": "<string>",
  "isEnabled": true,
  "nextAvailableActionId": "<string>",
  "objectTypeId": "<string>",
  "revisionId": "<string>",
  "suppressionListIds": [
    123
  ],
  "timeWindows": [
    {
      "endTime": {
        "hour": 123,
        "minute": 123
      },
      "startTime": {
        "hour": 123,
        "minute": 123
      }
    }
  ],
  "type": "CONTACT_FLOW",
  "updatedAt": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "enrollmentCriteria": {
    "listFilterBranch": {
      "filterBranchOperator": "<string>",
      "filterBranchType": "OR",
      "filterBranches": [
        {
          "filterBranchOperator": "<string>",
          "filterBranchType": "AND",
          "filterBranches": "<array>",
          "filters": [
            {
              "filterType": "PROPERTY",
              "operation": "<unknown>",
              "property": "<string>"
            }
          ]
        }
      ],
      "filters": [
        {
          "filterType": "PROPERTY",
          "operation": "<unknown>",
          "property": "<string>"
        }
      ]
    },
    "reEnrollmentTriggersFilterBranches": [
      {
        "filterBranchOperator": "<string>",
        "filterBranchType": "AND",
        "filterBranches": "<array>",
        "filters": [
          {
            "filterType": "PROPERTY",
            "operation": "<unknown>",
            "property": "<string>"
          }
        ]
      }
    ],
    "shouldReEnroll": true,
    "type": "LIST_BASED",
    "unEnrollObjectsNotMeetingCriteria": true
  },
  "enrollmentSchedule": {
    "timeOfDay": {
      "hour": 123,
      "minute": 123
    },
    "type": "DAILY"
  },
  "eventAnchor": {
    "contactProperty": "<string>",
    "type": "CONTACT_PROPERTY_ANCHOR"
  },
  "goalFilterBranch": {
    "filterBranchOperator": "<string>",
    "filterBranchType": "OR",
    "filterBranches": [
      {
        "filterBranchOperator": "<string>",
        "filterBranchType": "AND",
        "filterBranches": "<array>",
        "filters": [
          {
            "filterType": "PROPERTY",
            "operation": "<unknown>",
            "property": "<string>"
          }
        ]
      }
    ],
    "filters": [
      {
        "filterType": "PROPERTY",
        "operation": {
          "includeObjectsWithNoValueSet": true,
          "operationType": "BOOL",
          "operator": "<string>",
          "value": true
        },
        "property": "<string>"
      }
    ]
  },
  "name": "<string>",
  "startActionId": "<string>",
  "unEnrollmentSetting": {
    "flowIds": [
      "<string>"
    ]
  },
  "uuid": "<string>"
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

flowId
string
必須

レスポンス

successful operation

actions
(STATIC_BRANCH · object | LIST_BRANCH · object | AB_TEST_BRANCH · object | CUSTOM_CODE · object | WEBHOOK · object | SINGLE_CONNECTION · object)[]
必須
blockedDates
object[]
必須
canEnrollFromSalesforce
boolean
必須
createdAt
string<date-time>
必須
crmObjectCreationStatus
enum<string>
必須
利用可能なオプション:
COMPLETE,
PENDING
customProperties
object
必須
dataSources
(ASSOCIATION · object | ASSOCIATION_TIMESTAMP · object | STATIC_PROPERTY_FILTER · object | ENROLLED_RECORD_PROPERTY_FILTER · object | DATASET_FIELD_PROPERTY_FILTER · object | ENROLLED_ARGUMENT_PROPERTY_FILTER · object)[]
必須
flowType
enum<string>
必須
利用可能なオプション:
ACTION_SET,
UNKNOWN,
WORKFLOW
id
string
必須
isEnabled
boolean
必須
nextAvailableActionId
string
必須
objectTypeId
string
必須
revisionId
string
必須
suppressionListIds
integer<int32>[]
必須
timeWindows
object[]
必須
type
enum<string>
デフォルト:CONTACT_FLOW
必須
利用可能なオプション:
CONTACT_FLOW
updatedAt
string<date-time>
必須
description
string
enrollmentCriteria
LIST_BASED · object
enrollmentSchedule
DAILY · object
eventAnchor
CONTACT_PROPERTY_ANCHOR · object
goalFilterBranch
OR · object
name
string
startActionId
string
unEnrollmentSetting
object
uuid
string
最終更新日 2026年4月10日